For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
GuidesAPI ReferenceChangelogModel Versioning
GuidesAPI ReferenceChangelogModel Versioning
    • Getting Started
    • Authentication
    • API Versioning
    • SDKs
    • Deployments
    • Error Codes
    • Async Processing
  • Endpoints
      • POSTCreate Evaluation Set
      • GETGet Evaluation Set
      • GETList Evaluation Sets
      • POSTCreate Evaluation Set Items
      • GETGet Evaluation Set Item
      • POSTUpdate Evaluation Set Item
      • DELDelete Evaluation Set Item
      • GETList Evaluation Set Items
      • POSTCreate Evaluation Set Run
      • GETGet Evaluation Set Run
  • Webhook Events
LogoLogo
EndpointsEvaluation

Get Evaluation Set Run

GET
/evaluation_set_runs/:id
GET
/evaluation_set_runs/:id
1import { ExtendClient } from "extend-ai";
2
3const client = new ExtendClient({ token: "YOUR_TOKEN" });
4await client.evaluationSetRuns.retrieve("evaluation_set_run_id_here");
1{
2 "object": "evaluation_set_run",
3 "id": "eval_set_run_Xj8mK2pL9nR4vT7qY5wZ",
4 "evaluationSetId": "ev_2LcgeY_mp2T5yPaEuq5Lw",
5 "entity": {
6 "object": "extractor",
7 "id": "ex_Xj8mK2pL9nR4vT7qY5wZ",
8 "name": "Invoice Extractor",
9 "createdAt": "2024-03-21T16:45:00Z",
10 "updatedAt": "2024-03-21T16:45:00Z"
11 },
12 "entityVersion": {
13 "object": "extractor_version",
14 "id": "exv_xK9mLPqRtN3vS8wF5hB2cQ",
15 "description": "Updated extraction fields for new invoice format",
16 "version": "draft",
17 "extractorId": "ex_Xj8mK2pL9nR4vT7qY5wZ",
18 "createdAt": "2024-03-21T16:45:00Z"
19 },
20 "metrics": {
21 "numFiles": 1.1,
22 "numPages": 1.1
23 },
24 "status": "PROCESSING",
25 "options": {
26 "fuzzyMatchFields": [
27 "string"
28 ],
29 "excludeFields": [
30 "string"
31 ]
32 },
33 "createdAt": "2024-03-21T16:45:00Z",
34 "updatedAt": "2024-03-21T16:45:00Z"
35}
Get details of an evaluation set run.
Was this page helpful?
Previous

Create Webhook Endpoint

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired

The ID of the evaluation set run.

Example: "evr_Xj8mK2pL9nR4vT7qY5wZ"

Headers

x-extend-api-version"2026-02-09"Optional
API version to use for the request. If you're using an SDK, you can ignore this parameter. If you are not using an SDK and do not specify a version, you will either receive a `400 Bad Request` or be set to a previous legacy version. See [API Versioning](https://docs.extend.ai/2026-02-09/developers/api-versioning) for more details.
x-extend-workspace-idstringOptional
The workspace ID to target. **Required** when using an organization-scoped API key; optional for workspace-scoped keys (the key is already tied to a workspace). See [Authentication](https://docs.extend.ai/2026-02-09/developers/authentication) for details on API key scopes.

Response

Successfully retrieved evaluation set run
objectenum

The type of object. In this case, it will always be "evaluation_set_run".

Allowed values:
idstring

The unique identifier for this evaluation set run.

Example: "eval_set_run_Xj8mK2pL9nR4vT7qY5wZ"

evaluationSetIdstring

The ID of the evaluation set that was run.

Example: "ev_2LcgeY_mp2T5yPaEuq5Lw"

entityobject
The extractor, classifier, or splitter that was run.
entityVersionobject
The version of the extractor, classifier, or splitter that was run.
metricsobject
statusenum

The status of a batch run:

  • "PENDING" - The batch has been created and is waiting to be processed
  • "PROCESSING" - The batch is currently being processed
  • "PROCESSED" - All runs in the batch have completed successfully
  • "FAILED" - The batch failed to process
  • "CANCELLED" - The batch was cancelled
Allowed values:
optionsobject
The options for the evaluation set run.
createdAtstringformat: "date-time"

The time (in UTC) at which the object was created. Will follow the RFC 3339 format.

Example: "2024-03-21T16:45:00Z"

updatedAtstringformat: "date-time"

The time (in UTC) at which the object was last updated. Will follow the RFC 3339 format.

Example: "2024-03-21T16:45:00Z"

Errors

400
Bad Request Error
401
Unauthorized Error
402
Payment Required Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error

API version to use for the request. If you’re using an SDK, you can ignore this parameter. If you are not using an SDK and do not specify a version, you will either receive a 400 Bad Request or be set to a previous legacy version. See API Versioning for more details.

The workspace ID to target. Required when using an organization-scoped API key; optional for workspace-scoped keys (the key is already tied to a workspace). See Authentication for details on API key scopes.